hwy::TestWithParamTargetAndT< T > Class Template Reference

`#include <hwy_gtest.h>`

Inheritance diagram for hwy::TestWithParamTargetAndT< T >:

## Public Types

using | HwyParamType = T

## Protected Member Functions

void | SetUp () override
void | TearDown () override
T | GetParam ()

## Member Typedef Documentation

## HwyParamType

template<typename T >

using hwy::TestWithParamTargetAndT< T >::HwyParamType = T

## Member Function Documentation

## GetParam()

template<typename T >

T hwy::TestWithParamTargetAndT< T >::GetParam | ( |  | ) |

inline protected

References hwy::TestWithParamTargetAndT< T >::GetParam().

Referenced by hwy::TestWithParamTargetAndT< T >::GetParam(), and hwy::TestWithParamTargetAndT< T >::SetUp().

## SetUp()

template<typename T >

void hwy::TestWithParamTargetAndT< T >::SetUp | ( |  | ) |

inline override protected

References hwy::TestWithParamTargetAndT< T >::GetParam(), and hwy::SetSupportedTargetsForTest().

## TearDown()

template<typename T >

void hwy::TestWithParamTargetAndT< T >::TearDown | ( |  | ) |

inline override protected

References hwy::GetChosenTarget(), and hwy::SetSupportedTargetsForTest().

The documentation for this class was generated from the following file:

- hwy_gtest.h